#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.10
visibility:           public
id:                   foldl-1.4.10-B76BbLsz6U7GW0GlrXrOrB
key:                  foldl-1.4.10-B76BbLsz6U7GW0GlrXrOrB
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  d56c85d75cffdea36ff4c9c9e29510dc
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.2/site-local/foldl-1.4.10
library-dirs:         /usr/lib/ghc-8.10.2/site-local/foldl-1.4.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/foldl-1.4.10
hs-libraries:         HSfoldl-1.4.10-B76BbLsz6U7GW0GlrXrOrB
depends:
    base-4.14.1.0 bytestring-0.10.10.0
    comonad-5.0.6-3L9cUHGzM6h6c8YPSqjxek containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    hashable-1.3.0.0-JPCB4MmZaOcIaoM3ucdjgC
    mwc-random-0.15.0.1-4Hesj0YnqJoApiQF8bDycQ
    primitive-0.7.1.0-EVDUy7vGl3M96Yg4gwEzeA
    profunctors-5.6-LP693IjzG7dJjG1JAXGnbW
    semigroupoids-5.3.4-FqKIHRUsVBtCh5QfUwkMkO text-1.2.3.2
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-2nDlvtn1IciJcNnZKP7xpJ
    vector-0.12.1.2-DniijS7i95iDT0VwtGN3m0

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

